# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.10

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/pyrostefan/Documents/Parkmanne/Parkmanne

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/pyrostefan/Documents/Parkmanne/Parkmanne

# Include any dependencies generated for this target.
include CMakeFiles/park.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/park.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/park.dir/flags.make

CMakeFiles/park.dir/main.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/main.cpp.o: main.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/park.dir/main.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/main.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/main.cpp

CMakeFiles/park.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/main.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/main.cpp > CMakeFiles/park.dir/main.cpp.i

CMakeFiles/park.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/main.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/main.cpp -o CMakeFiles/park.dir/main.cpp.s

CMakeFiles/park.dir/main.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/main.cpp.o.requires

CMakeFiles/park.dir/main.cpp.o.provides: CMakeFiles/park.dir/main.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/main.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/main.cpp.o.provides

CMakeFiles/park.dir/main.cpp.o.provides.build: CMakeFiles/park.dir/main.cpp.o


CMakeFiles/park.dir/data.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/data.cpp.o: data.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/park.dir/data.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/data.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/data.cpp

CMakeFiles/park.dir/data.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/data.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/data.cpp > CMakeFiles/park.dir/data.cpp.i

CMakeFiles/park.dir/data.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/data.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/data.cpp -o CMakeFiles/park.dir/data.cpp.s

CMakeFiles/park.dir/data.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/data.cpp.o.requires

CMakeFiles/park.dir/data.cpp.o.provides: CMakeFiles/park.dir/data.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/data.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/data.cpp.o.provides

CMakeFiles/park.dir/data.cpp.o.provides.build: CMakeFiles/park.dir/data.cpp.o


CMakeFiles/park.dir/encrypt.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/encrypt.cpp.o: encrypt.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/park.dir/encrypt.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/encrypt.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/encrypt.cpp

CMakeFiles/park.dir/encrypt.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/encrypt.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/encrypt.cpp > CMakeFiles/park.dir/encrypt.cpp.i

CMakeFiles/park.dir/encrypt.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/encrypt.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/encrypt.cpp -o CMakeFiles/park.dir/encrypt.cpp.s

CMakeFiles/park.dir/encrypt.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/encrypt.cpp.o.requires

CMakeFiles/park.dir/encrypt.cpp.o.provides: CMakeFiles/park.dir/encrypt.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/encrypt.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/encrypt.cpp.o.provides

CMakeFiles/park.dir/encrypt.cpp.o.provides.build: CMakeFiles/park.dir/encrypt.cpp.o


CMakeFiles/park.dir/Customer.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/Customer.cpp.o: Customer.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/park.dir/Customer.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/Customer.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/Customer.cpp

CMakeFiles/park.dir/Customer.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/Customer.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/Customer.cpp > CMakeFiles/park.dir/Customer.cpp.i

CMakeFiles/park.dir/Customer.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/Customer.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/Customer.cpp -o CMakeFiles/park.dir/Customer.cpp.s

CMakeFiles/park.dir/Customer.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/Customer.cpp.o.requires

CMakeFiles/park.dir/Customer.cpp.o.provides: CMakeFiles/park.dir/Customer.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Customer.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/Customer.cpp.o.provides

CMakeFiles/park.dir/Customer.cpp.o.provides.build: CMakeFiles/park.dir/Customer.cpp.o


CMakeFiles/park.dir/Park_spot.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/Park_spot.cpp.o: Park_spot.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/park.dir/Park_spot.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/Park_spot.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/Park_spot.cpp

CMakeFiles/park.dir/Park_spot.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/Park_spot.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/Park_spot.cpp > CMakeFiles/park.dir/Park_spot.cpp.i

CMakeFiles/park.dir/Park_spot.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/Park_spot.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/Park_spot.cpp -o CMakeFiles/park.dir/Park_spot.cpp.s

CMakeFiles/park.dir/Park_spot.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/Park_spot.cpp.o.requires

CMakeFiles/park.dir/Park_spot.cpp.o.provides: CMakeFiles/park.dir/Park_spot.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_spot.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/Park_spot.cpp.o.provides

CMakeFiles/park.dir/Park_spot.cpp.o.provides.build: CMakeFiles/park.dir/Park_spot.cpp.o


CMakeFiles/park.dir/Park_time.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/Park_time.cpp.o: Park_time.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/park.dir/Park_time.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/Park_time.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/Park_time.cpp

CMakeFiles/park.dir/Park_time.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/Park_time.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/Park_time.cpp > CMakeFiles/park.dir/Park_time.cpp.i

CMakeFiles/park.dir/Park_time.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/Park_time.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/Park_time.cpp -o CMakeFiles/park.dir/Park_time.cpp.s

CMakeFiles/park.dir/Park_time.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/Park_time.cpp.o.requires

CMakeFiles/park.dir/Park_time.cpp.o.provides: CMakeFiles/park.dir/Park_time.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Park_time.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/Park_time.cpp.o.provides

CMakeFiles/park.dir/Park_time.cpp.o.provides.build: CMakeFiles/park.dir/Park_time.cpp.o


CMakeFiles/park.dir/Query.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/Query.cpp.o: Query.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building CXX object CMakeFiles/park.dir/Query.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/Query.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/Query.cpp

CMakeFiles/park.dir/Query.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/Query.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/Query.cpp > CMakeFiles/park.dir/Query.cpp.i

CMakeFiles/park.dir/Query.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/Query.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/Query.cpp -o CMakeFiles/park.dir/Query.cpp.s

CMakeFiles/park.dir/Query.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/Query.cpp.o.requires

CMakeFiles/park.dir/Query.cpp.o.provides: CMakeFiles/park.dir/Query.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Query.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/Query.cpp.o.provides

CMakeFiles/park.dir/Query.cpp.o.provides.build: CMakeFiles/park.dir/Query.cpp.o


CMakeFiles/park.dir/Interface.cpp.o: CMakeFiles/park.dir/flags.make
CMakeFiles/park.dir/Interface.cpp.o: Interface.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building CXX object CMakeFiles/park.dir/Interface.cpp.o"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/park.dir/Interface.cpp.o -c /home/pyrostefan/Documents/Parkmanne/Parkmanne/Interface.cpp

CMakeFiles/park.dir/Interface.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/park.dir/Interface.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/pyrostefan/Documents/Parkmanne/Parkmanne/Interface.cpp > CMakeFiles/park.dir/Interface.cpp.i

CMakeFiles/park.dir/Interface.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/park.dir/Interface.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/pyrostefan/Documents/Parkmanne/Parkmanne/Interface.cpp -o CMakeFiles/park.dir/Interface.cpp.s

CMakeFiles/park.dir/Interface.cpp.o.requires:

.PHONY : CMakeFiles/park.dir/Interface.cpp.o.requires

CMakeFiles/park.dir/Interface.cpp.o.provides: CMakeFiles/park.dir/Interface.cpp.o.requires
	$(MAKE) -f CMakeFiles/park.dir/build.make CMakeFiles/park.dir/Interface.cpp.o.provides.build
.PHONY : CMakeFiles/park.dir/Interface.cpp.o.provides

CMakeFiles/park.dir/Interface.cpp.o.provides.build: CMakeFiles/park.dir/Interface.cpp.o


# Object files for target park
park_OBJECTS = \
"CMakeFiles/park.dir/main.cpp.o" \
"CMakeFiles/park.dir/data.cpp.o" \
"CMakeFiles/park.dir/encrypt.cpp.o" \
"CMakeFiles/park.dir/Customer.cpp.o" \
"CMakeFiles/park.dir/Park_spot.cpp.o" \
"CMakeFiles/park.dir/Park_time.cpp.o" \
"CMakeFiles/park.dir/Query.cpp.o" \
"CMakeFiles/park.dir/Interface.cpp.o"

# External object files for target park
park_EXTERNAL_OBJECTS =

park: CMakeFiles/park.dir/main.cpp.o
park: CMakeFiles/park.dir/data.cpp.o
park: CMakeFiles/park.dir/encrypt.cpp.o
park: CMakeFiles/park.dir/Customer.cpp.o
park: CMakeFiles/park.dir/Park_spot.cpp.o
park: CMakeFiles/park.dir/Park_time.cpp.o
park: CMakeFiles/park.dir/Query.cpp.o
park: CMakeFiles/park.dir/Interface.cpp.o
park: CMakeFiles/park.dir/build.make
park: thirdparty/SQLiteCpp/libSQLiteCpp.a
park: thirdparty/SQLiteCpp/sqlite3/libsqlite3.a
park: CMakeFiles/park.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Linking CXX executable park"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/park.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/park.dir/build: park

.PHONY : CMakeFiles/park.dir/build

CMakeFiles/park.dir/requires: CMakeFiles/park.dir/main.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/data.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/encrypt.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/Customer.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/Park_spot.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/Park_time.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/Query.cpp.o.requires
CMakeFiles/park.dir/requires: CMakeFiles/park.dir/Interface.cpp.o.requires

.PHONY : CMakeFiles/park.dir/requires

CMakeFiles/park.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/park.dir/cmake_clean.cmake
.PHONY : CMakeFiles/park.dir/clean

CMakeFiles/park.dir/depend:
	cd /home/pyrostefan/Documents/Parkmanne/Parkmanne && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/pyrostefan/Documents/Parkmanne/Parkmanne /home/pyrostefan/Documents/Parkmanne/Parkmanne /home/pyrostefan/Documents/Parkmanne/Parkmanne /home/pyrostefan/Documents/Parkmanne/Parkmanne /home/pyrostefan/Documents/Parkmanne/Parkmanne/CMakeFiles/park.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/park.dir/depend

